#ifndef COMPLIB_SERVER_UNIXSOCKETSERVER_HPP
#define COMPLIB_SERVER_UNIXSOCKETSERVER_HPP

#include <thread>

#define SOCKET_PATH "/tmp/compLib"
#define SOCKET_BUFFER_SIZE 128

class UnixSocketServer {
public:
  UnixSocketServer();

private:
  [[noreturn]] void server_loop();

  std::thread server_thread;
};


#endif //COMPLIB_SERVER_UNIXSOCKETSERVER_HPP
